﻿@model IEnumerable<Domain.Ejemplo.Categoria>

@{
    ViewData["Title"] = "Listado de categorias";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<style>
    .popover {
        max-width: 80%; /* Max Width of the popover (depending on the container!) */
        width: 80%; /* Max Width of the popover (depending on the container!) */
    }
    /* Ajusta la columna "Nombre" de la tabla en caso de que contenga un registro con cadena extensa, evita que se rompa el diseño responsivo*/
    .tdAjustado {
        max-width: 150px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }
</style>


<link href="~/assets/vendors/general/sweetalert2/dist/sweetalert2.css" rel="stylesheet" type="text/css" />

<!-- end:: Content Head -->
<!-- begin:: Content Body -->
<div class="k-content__body	k-grid__item k-grid__item--fluid" id="k_content_body">
    <!--begin::Portlet-->
    <div class="row">
        <div class="col-lg-12">
            <div class="k-portlet" id="k_page_portlet">
                <div class="k-portlet__head k-portlet__head--lg">
                    <div class="k-portlet__head-label">
                            <h3 class="k-portlet__head-title">@ViewData["Title"]</h3>
                    </div>
                    <div class="k-portlet__head-toolbar">
                        <div class="k-portlet__head-toolbar-wrapper">
                          
                            <span class="d-inline-block" tabindex="0" data-toggle="k-tooltip" data-skin="dark" title="" data-original-title="Crear categoria">
                                <a asp-action="Crear"  class="btn btn-success" data-toggle="modal" data-target="#commonModal">
                                    <i class="la la-plus-circle"></i>
                                    <span class="k-hidden-mobile">Crear categoria</span>
                                </a>
                            </span>
                        </div>
                    </div>
                </div>
                <div class="k-portlet__body">
                    <div class="k-section">
                        @*Ayuda para movil, la movil se clickea en el mensaje para cerrar*@
                        <div class="d-sm-none">
                            <a tabindex="0" class="btn btn-outline-info btn-elevate btn-circle btn-icon float-right" role="button" data-toggle="popover" data-trigger="focus" data-html="true" title="@ViewData["Title"]" data-content="" style="width: 30px;height: 30px;">
                                <span class="fa fa-info"></span>
                            </a>
                        </div>
                        @*Ayuda para escritorio*@
                        <div class="d-none d-sm-block">
                            <button type="button" class="btn btn-outline-info btn-elevate btn-circle btn-icon float-right" data-toggle="popover" data-trigger="hover" data-html="true" title="@ViewData["Title"]" data-content="" style="height: 30px;width: 30px;">
                                <span class="fa fa-info"></span>
                            </button>
                        </div>

                    </div>
                    <div id="k_table_1_wrapper" class="dataTables_wrapper dt-bootstrap4 no-footer">
                        <div class="row">
                            <div class="col-sm-12">
                                @if (Model.Any())
                                {
                                    @using (Html.BeginForm(null, null, FormMethod.Post, new { id = "__AjaxAntiForgeryForm" }))
                                    {
                                        @Html.AntiForgeryToken()
                                    }
                                    <table class="table table-striped table-bordered table-hover dataTable no-footer dtr-inline dt-responsive nowrap" id="example" role="grid" aria-describedby="k_table_1_info" style="width: 987px;">
                                        <thead>
                                            <tr role="row">
                                                <th class="Print">Nombre</th>
                                                <th class="Print">Descripci&oacute;n</th>

                                                <th>Acciones</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach (var item in Model)
                                            {
                                                <tr role="row" class="odd parent">
                                                <td class="tdAjustado">@item.Nombre</td>
                                                <td class="tdAjustado">@item.Descripcion</td>

                                                <td>
                                                    <span class="d-inline-block" tabindex="0" data-toggle="k-tooltip" data-skin="dark" title="" data-original-title="Editar categoria">
                                                        <a class="btn btn-primary btn-icon" asp-route-id="@item.Id" asp-action="Editar" data-toggle="modal" data-target="#commonModal"><i class="fa fa-pencil-alt"></i></a>

                                                    </span>
                                                    <span class="d-inline-block" tabindex="0" data-toggle="k-tooltip" data-skin="dark" title="" data-original-title="Eliminar categoria">
                                                        <button  class="btn btn-danger btn-icon"  onclick="eliminarCSRF('/Categorias/EliminarConfirmado/','@item.Id','@item.Nombre')"><i class="fa fa-trash-alt " ></i></button>

                                                    </span>
                                                   

                                                </td>
                                            </tr>
                                            }
                                        </tbody>
                                    </table>
                                }
                                else
                                {
                                    <div class="alert alert-light alert-elevate" role="alert">
                                        <div class="alert-icon"><i class=""></i></div>
                                        <div class="alert-text text-center">Sin registros</div>
                                    </div>
                                }
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--end::Portlet-->
</div>

<div class="modal fade" id="commonModal" tabindex="-1" role="dialog" aria-labelledby="commonModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <div class="k-spinner k-spinner--lg k-spinner--warning"></div>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script src="~/assets/vendors/general/sweetalert2/dist/sweetalert2.min.js" type="text/javascript"></script>
    <script src="~/assets/vendors/custom/theme/framework/vendors/sweetalert2/init.js" type="text/javascript"></script>
    <script src="~/assets/demo/default/custom/components/extended/sweetalert2.js" type="text/javascript"></script>
    <script src="~/js/Common/Alerts.js"></script>
    <script src="~/js/Common/ModalMaster.js"></script>
    <script src="~/assets/demo/default/custom/components/base/popovers.js" type="text/javascript"></script>
}

